##
##  ipbt.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ipbt
Summary:      TTYrec Player
URL:          http://www.chiark.greenend.org.uk/~sgtatham/ipbt/
Vendor:       Anakin
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Terminal
License:      MIT
Version:      20141026.2197432
Release:      20150112

#   list of sources
Source0:      http://www.chiark.greenend.org.uk/~sgtatham/ipbt/ipbt-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  ncurses
PreReq:       ncurses

%description
     ttyrec is a program for recording a Unix terminal session. The
     simplest way for playing back a ttyrec file is to write the data
     in the file to a terminal, stopping to wait in between sections as
     directed by the timestamps in the file. It's easy enough to provide
     features such as double or half speed, fast forward and pause;
     but going backwards in time is very difficult, since terminal
     data cannot be interpreted in reverse to work out what was on the
     screen before the current time. So if you're watching a ttyrec and
     something interesting flashes up on the screen and is gone before
     you can press Pause, it can be very difficult to retrieve it. IPBT
     solves this problem. It is a ttyrec player which analyses the
     entire ttyrec file before beginning the playback, and reorganises
     it into a form which permits frame-by-frame forward and backward
     replay. So if something interesting goes past, you just press Pause
     and then back up by a few frames, and there it is.

%track
    prog ipbt = {
        version   = %{version}
        url       = http://www.chiark.greenend.org.uk/~sgtatham/ipbt/
        regex     = ipbt-(\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

